Subject: RE: bug#3395: 23.0.94; Remove colon after option etc. name

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 May 2009 13:57:13 -0700

>  >>  > This is not about changing the command. It is simply about
>  >>  > removing the useless colon. Is that too hard?
>  >>
>  >> It might be.
>  >
>  > Then I guess you'll have to mark it too hard to fix, and move on.
> 
> You have to find someone who agrees that this is a bug.

I don't have to do any such thing.

This is an enhancement request. Like all bug reports and enhancement requests,
Emacs developers are free to choose not to fix it. I make a request or report a
problem. You decide whether to fix it.

>  >> Hence code like
>  >> 	     (unless (string-match ":" format)
>  >> 	       (error "Bad format"))
>  >>
>  >> in cus-edit.el is something you understand and can explain.
>  >
>  > I don't understand the question or comment.
> 
> Obviously because you didn't try to.

Nothing obvious about it. I do not understand what you are trying to say. You
state that I understand and can explain something, but I have no idea what that
means. What is it that you think I understand and can explain? And why?

>  > What's the point?
> 
> That colons sometimes serve additional purposes in custom buffers
> besides of being displayed as visible characters.

Ah, I see.

I cannot speak to the difficulty of implementing the enhancement. I reported
this from a user point of view, not that of an implementor.

I would _guess_ that this particular colon would be easily identifiable, but I
don't claim that. I have not looked at the code.

I asked if this was hard. You said it might be. I said that if it is too hard
then you will likely need to just move on. Dunno what more I can say. It is you
who estimates the difficulty, not I. It is you who decides whether to make this
enhancement.